/*
   $Id: options.js,v 1.1.1.1 2006/03/16 14:49:55 StasFomin Exp $
*/
var TextAreaSputnikOptions = {
  _preferences: null,

	init: function() {
		var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
    TextAreaSputnikOptions._preferences = prefs.getBranch("extensions.TextAreaSputnik.");
		
    var node = document.getElementById("txt_editorfile");
    node.value = TextAreaSputnikOptions._preferences.getCharPref("editor");

    node = document.getElementById("txt_extension");
    node.value = TextAreaSputnikOptions._preferences.getCharPref("extension");

    node = document.getElementById("chk_dosnewline");
    node.checked = (TextAreaSputnikOptions._preferences.getCharPref("dosnewline")=="1");

    node = document.getElementById("rg_encodings");
    var encoding_ = TextAreaSputnikOptions._preferences.getCharPref("encoding");
    if (!encoding_) encoding_='UTF-8';
		
        var children = node.childNodes;
        for (var i = 0; i < children.length; i++) {
            var rb = children[i];
            if (rb.getAttribute("value") == encoding_) {
                node.selectedItem=rb;     
                break;
            }
        }		
	},

	save: function() {
    var node = document.getElementById("txt_editorfile");
    this._preferences.setCharPref("editor", node.value);

    node = document.getElementById("txt_extension");
    this._preferences.setCharPref("extension", node.value);

    this._preferences.setCharPref("dosnewline", "0");
    node = document.getElementById("chk_dosnewline");
    if (node.checked) this._preferences.setCharPref("dosnewline", "1");

    node = document.getElementById("rg_encodings");
    var encoding_ = "UTF-8";
    if (node.selectedItem) encoding_ = node.selectedItem.value;
    this._preferences.setCharPref("encoding", encoding_);

	},

	browse: function() {
    var filedialog = Components.classes["@mozilla.org/filepicker;1"].createInstance(Components.interfaces.nsIFilePicker);
    filedialog.init(window, "Editor executable", filedialog.modeOpen);
    filedialog.appendFilters(filedialog.filterApps);
    if (filedialog.show() == filedialog.returnOK) {
      document.getElementById("txt_editorfile").value = filedialog.file.path;
		}
	}
};
